Bug 22858 - Unable to "make modules" kernel-source-2.4.0-0.43.10
Unable to "make modules" kernel-source-2.4.0-0.43.10
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-26 20:34 EST by Jaroslaw Sosnicki
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-26 20:34:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslaw Sosnicki 2000-12-26 20:34:55 EST
While recompiling kernel I run in to the folowing errors

# rpm  -Uvh kernel-source-2.4.0-0.43.10
OK
#cd /usr/src/linux-2.4
# make xconfig
OK, saved configuration
# make dep
OK
# make bzImage
OK
# make modules
Errors
...

uPD98402.c: In function `fetch_stats':
uPD98402.c:46: `d523fdd3' undeclared (first use in this function)
uPD98402.c:46: called object is not a function
uPD98402.c: In function `uPD98402_int':
uPD98402.c:193: nondigits in number and not hexadecimal
uPD98402.c:193: nondigits in number and not hexadecimal
uPD98402.c:194: called object is not a function
uPD98402.c:202: nondigits in number and not hexadecimal
uPD98402.c:202: nondigits in number and not hexadecimal
uPD98402.c:202: nondigits in number and not hexadecimal
uPD98402.c:203: nondigits in number and not hexadecimal
uPD98402.c:203: nondigits in number and not hexadecimal
uPD98402.c:204: called object is not a function
uPD98402.c:205: nondigits in number and not hexadecimal
uPD98402.c:205: nondigits in number and not hexadecimal
uPD98402.c:205: nondigits in number and not hexadecimal
uPD98402.c: In function `uPD98402_start':
uPD98402.c:214: nondigits in number and not hexadecimal
uPD98402.c:214: nondigits in number and not hexadecimal
uPD98402.c:214: nondigits in number and not hexadecimal
uPD98402.c:214: called object is not a function
uPD98402.c: In function `uPD98402_stop':
uPD98402.c:235: nondigits in number and not hexadecimal
uPD98402.c:235: nondigits in number and not hexadecimal
uPD98402.c:235: nondigits in number and not hexadecimal
uPD98402.c:235: nondigits in number and not hexadecimal
uPD98402.c:235: called object is not a function
make[2]: *** [uPD98402.o] Error 1
make[2]: Leaving directory `/u00/src/linux-2.4.0/drivers/atm'
make[1]: *** [_modsubdir_atm] Error 2
make[1]: Leaving directory `/u00/src/linux-2.4.0/drivers'
make: *** [_mod_drivers] Error 2
[root@ns1 linux]# 

[root@ns1 /root]# gcc -v
Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/2.96/specs
gcc version 2.96 20000731 (Red Hat Linux 7.0)
[root@ns1 /root]# uname -a
Linux ns1 2.4.0-0.43.11smp #1 SMP Fri Dec 22 10:52:27 EST 2000 i686 unknown
[root@ns1 /root]# rpm -qa|grep kernel
kernelcfg-0.6-10
kernel-smp-2.4.0-0.43.11
kernel-utils-2.4.0-0.43.10
kernel-source-2.4.0-0.43.10
kernel-doc-2.4.0-0.43.10
kernel-2.4.0-0.43.11
kernel-headers-2.4.0-0.43.10
[root@ns1 /root]#
Comment 1 Bill Nottingham 2000-12-26 23:39:06 EST
You forgot 'make mrproper'.
Comment 2 Jaroslaw Sosnicki 2000-12-27 11:34:42 EST
No, I did not forget, I actually done it more then once, just to be sure, first
time without "make mrproper" nothing was created yet, unless there is garbage on
src.rpm, subsequent times I did follow the flowing steps:
"make mrproper"
"make dep"
"make bzImage"
"make modules" - errors

Note You need to log in before you can comment on or make changes to this bug.